Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 367085 - media-libs/libdc1394-1.2.2: fails to build with 2.6.38 headers
Summary: media-libs/libdc1394-1.2.2: fails to build with 2.6.38 headers
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 All
: Normal normal with 1 vote (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
: 369029 (view as bug list)
Depends on:
Blocks: linux-headers-2.6.38
  Show dependency tree
 
Reported: 2011-05-13 11:27 UTC by Steve Williams
Modified: 2011-09-13 18:23 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (emerge_info.txt,6.65 KB, text/plain)
2011-05-13 11:27 UTC, Steve Williams
Details
libdc1394 build log (build.log,26.20 KB, text/x-log)
2011-05-13 11:34 UTC, Steve Williams
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Williams 2011-05-13 11:27:32 UTC
Created attachment 273053 [details]
emerge --info

Attempted to emerge ekiga-3.2.7. Dependencies include:

net-libs/opal-3.6.8-r2
net-libs/ptlib-2.6.7-r1
net-libs/libdc1394-1.2.2

libdc1394-1.2.2 compile dies with:

dc1394_vloopback.c:71:28: error: linux/videodev.h: No such file or directory
Comment 1 Steve Williams 2011-05-13 11:34:15 UTC
Created attachment 273055 [details]
libdc1394 build log
Comment 2 Steve Williams 2011-05-13 11:35:48 UTC
hostname linux # emerge -pqv =media-libs/libdc1394-1.2.2
[ebuild  NS   ] media-libs/libdc1394-1.2.2 [2.1.3]
Comment 3 Jeroen Roovers gentoo-dev 2011-05-13 14:05:03 UTC
There's a ptlib-2.10 out there that might help.
Comment 4 Peter Volkov (RETIRED) gentoo-dev 2011-05-13 16:56:24 UTC
I'll check ptlib-2.10, but in any case it is release candidate and it enters tree only hardmasked.
Comment 5 Samuli Suominen gentoo-dev 2011-05-30 14:00:05 UTC
*** Bug 369029 has been marked as a duplicate of this bug. ***
Comment 6 Samuli Suominen gentoo-dev 2011-06-15 07:11:35 UTC
I suppose this is blocked by bug 290062 because pwlib is also using old libdc1394, and then bug 338319 for getting new ptlib in tree.

But since both bugs are so old, and not much activity happening, and this is sort of pressing issue, it's best to remove the support for libdc1394 in current versions with a revision bump, for ~arch.
Comment 7 Sven E. 2011-06-16 02:18:38 UTC
(In reply to comment #6)
> I suppose this is blocked by bug 290062 because pwlib is also using old
> libdc1394, and then bug 338319 for getting new ptlib in tree.
> 
> But since both bugs are so old, and not much activity happening, and this is
> sort of pressing issue, it's best to remove the support for libdc1394 in
> current versions with a revision bump, for ~arch.
 Well, -iee1394 (on Ekiga) removes the dependency for libdc1394 when building ptlib. But I don't think this really is an option. Can ptlib be linked against the newer libdc-2.1.3?

BTW, I can second this error, should it still remain unconfirmed?
Comment 8 Samuli Suominen gentoo-dev 2011-08-07 10:31:42 UTC
+*pwlib-1.10.10-r3 (07 Aug 2011)
+
+  07 Aug 2011; Samuli Suominen <ssuominen@gentoo.org> +pwlib-1.10.10-r3.ebuild:
+  Fix building with USE="v4l2" and linux-headers-2.6.38. Remove USE="v4l
+  ieee1394" wrt #290062, #359595 and #367085.

I suppose something similar will need to be done for ptlib and ~arch until maintainers get new version in tree.
Comment 9 Samuli Suominen gentoo-dev 2011-09-13 18:23:26 UTC
Old libdc1394 removed from tree, thus this bug is now fixed